This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247348 - [debuginfo package] expat ships executable source files
[debuginfo package] expat ships executable source files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: expat (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 15:36 EDT by Christian Stadelmann
Modified: 2016-09-28 17:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: expat-2.2.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 17:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-07-27 15:36:53 EDT
Description of problem:
Expat-debuginfo ships these source files with executable bit set:
xmlwf/codepage.c
xmlwf/codepage.h
xmlwf/filemap.h
xmlwf/unixfilemap.c
xmlwf/xmlfile.c
xmlwf/xmlfile.h
xmlwf/xmlwf.c

Version-Release number of selected component (if applicable):
2.1.0

How reproducible:
always (see rpm package)
Comment 1 Sebastian Pipping 2016-03-11 23:26:21 EST
Hi!

I have addressed the issue upstream now.  Expat >2.1.1 will have it fixed out of the box, see https://sourceforge.net/p/expat/code_git/ci/fe432127ab2c8d5a939bda0450c171a17fba36a1/ .
Comment 3 Joe Orton 2016-06-21 10:45:29 EDT
Package: expat-2.2.0-1.fc25
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=774463
Comment 4 Fedora End Of Life 2016-07-19 13:12:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Christian Stadelmann 2016-07-20 07:45:36 EDT
Still present.
Comment 6 Christian Stadelmann 2016-09-28 17:09:11 EDT
Not present any more on Fedora 25 / expat-2.2.0-1.fc25.x86_64

Note You need to log in before you can comment on or make changes to this bug.